export interface PolyPack {
    offset: number;
    length: number;
    buffer: any;
}
export declare function polyPackSize(coords: any): number;
declare type EachRingCB = (buffer: Float64Array, iPoly: number, iRing: number, iOffset: number, nPoints: number) => void;
declare type EachPointCB = (buffer: Float64Array, iPoly: number, iRing: number, iOffset: number) => void;
export declare function polyPackEachRing(pack: PolyPack, cb: EachRingCB): void;
export declare function polyPackEachPoint(pack: PolyPack, cb: EachPointCB): void;
export declare function polyPack(coords: any, prepack?: PolyPack): PolyPack;
export declare function polyUnpack(prepack: any): any;
export declare function featurePackSize(f: any): number;
export declare function featurePack(f: any, prepack?: PolyPack): any;
export declare function featureUnpack(f: any): any;
export {};
